Bug 98814 - Newline escaping not honoured
Newline escaping not honoured
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: ypserv (Show other bugs)
9
All Linux
medium Severity low
: ---
: ---
Assigned To: Steve Dickson
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-08 23:52 EDT by Ross Johnson
Modified: 2015-01-07 19:05 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-09 06:21:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ross Johnson 2003-07-08 23:52:02 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
Editable versions of NIS map files such as netgroup may not use \
newline escaping because nothing in the /var/yp/Makefile script pipeline handles
it. This produces dbm maps that are incorrect.

Solaris NIS files may contain \ newline escapes because it's makedbm
utility handles them. The Linux version doesn't.

Alternatively, alterations to the NIS Makefile scripts to preprocess
map files could possibly resolve this incompatibility.


Version-Release number of selected component (if applicable):
ypserv-2.6-2

How reproducible:
Always

Steps to Reproduce:
1. create a map file such as netgroup with newline escapes
2. run make -f /var/yp/Makefile
3. try to get sensible information out of ypcat netgroup
    

Additional info:

I've marked this as low severity rather than feature enhancement
because there is no syntax checking or warning that newline escaping
is invalid. Anyone migrating NIS maps from Solaris will get caught out by this.
Comment 1 Ross Johnson 2003-07-09 06:21:02 EDT
My apologies, please disregard this entire bug report.

Makedbm is handling newline escapes (just not documented).
My netgroup test file was missing commas between list elements.

Note You need to log in before you can comment on or make changes to this bug.